@font-face {
  font-family: "SuisseIntl";
  src: url("../fonts/SuisseIntl/SuisseIntl-Regular.woff") format("woff"),
       url("../fonts/SuisseIntl/SuisseIntl-Regular.woff2") format("woff2");
  font-weight: 400;
  font-display: swap;
}

@font-face {
    font-family: 'Times Now';
    src: url('../fonts/TimesNow/TimesNow-ExtraLightItalic.woff2') format('woff2'),
         url('../fonts/TimesNow/TimesNow-ExtraLightItalic.woff') format('woff');
    font-weight: 400;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Times Now';
    src: url('../fonts/TimesNow/TimesNow-ExtraLight.woff2') format('woff2'),
         url('../fonts/TimesNow/TimesNow-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: 400;
    font-display: swap;
}



* {
  margin: 0;
  padding: 0;
}

:root {
  --padding: 20px;
  --color-black: #000;
  --color-white: #fff;
  --color-grey: #777;
  --color-light: #efefef;
  --color-text: var(--color-black);
  --color-text-grey: var(--color-grey);
  --color-background: var(--color-white);
  --color-code-light-grey:  #cacbd1;
  --color-code-comment:     #a9aaad;
  --color-code-white:       #c5c9c6;
  --color-code-red:         #d16464;
  --color-code-orange:      #de935f;
  --color-code-yellow:      #f0c674;
  --color-code-green:       #a7bd68;
  --color-code-aqua:        #8abeb7;
  --color-code-blue:        #7e9abf;
  --color-code-purple:      #b294bb;
  --font-family-sans: "SuisseIntl", sans-serif;
  --font-family-serif: "Times Now", serif;
}

html {
  font-family: var(--font-family-sans);
  color: var(--color-text);
}
img {
  width: 100%;
}
body {
  width: calc( 100% - var(--padding) * 2 );
  padding-left: var(--padding);
  padding-right: var(--padding);
  background-color: #FFF;
  font-size: 14px;
  margin: 0;
}
li {
  list-style: none;
}
a {
  color: currentColor;
  text-decoration: none !important;

}
button {
  font: inherit;
  background: none;
  border: 0;
  color: currentColor;
  cursor: pointer;
}
strong, b {
  font-weight: 600;
}
small {
  font-size: inherit;
  color: var(--color-text-grey);
}

.bg-light {
  background-color: var(--color-light);
}
.color-grey {
  color: var(--color-text-grey);
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  padding-top: var(--padding);
  width: 100%;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  height: auto;
  z-index: 999;
}

.header a {
  color: #000;
}

.logo {
  display: flex;
  align-items: center;
  cursor: pointer;
  white-space: nowrap;
}

nav {
  margin-right: var(--padding);
  margin-left: var(--padding);
  display: flex;
  justify-content: space-between;
  width: 100%;
}

main {
  padding-top: 150px;
}

.menu {
  display: flex;
}

.menu a.about {
  margin-right: var(--padding);
}

.menu a {
  display: block;
}

.lowercase {
  text-transform: lowercase;
}

header.page a {
  opacity: 0.5;
}

header.home {
  mix-blend-mode: difference;
}

header.home a {
  color: #FFF;
}

header a {
  transition: 0.4s;
  white-space: nowrap;
}

header a:hover {
  opacity: 1;
}

ul.navigation {
  display: flex;
}

ul.navigation li {
  margin-right: 50px;
}

.menu a {
  padding-bottom: 1px;
}

.menu a[aria-current] {
  opacity: 1;
  border-bottom: 0.25px solid rgb(0,0,0,0.5);
}

.social {
  display: flex;
  padding: 0 .5rem;
}
.social a {
  padding: 1rem .5rem;
}

.section {
  padding: 3rem 0;
}

.grid {
  --columns: 12;
  --gutter: 3rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: 1fr;
  align-items: flex-start;
}
.grid > .column {
  margin-bottom: var(--gutter);
}

.autogrid {
  --gutter: 3rem;
  --min: 10rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: repeat(auto-fit, minmax(var(--min), 1fr));
  grid-auto-flow: dense;
}

h1, h2, h3, h4, h5, h6 {
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
}

.text p {
  line-height: 1.5em;
}
.text a {
  text-decoration: underline;
}
.text :first-child {
  margin-top: 0;
}
.text :last-child {
  margin-bottom: 0;
}
.text p,
.text ul,
.text ol {
  margin-bottom: 1.5rem;
}
.text ul,
.text ol {
  margin-left: 1rem;
}
.text ul p,
.text ol p {
  margin-bottom: 0;
}
.text ul > li {
  list-style: disc;
}
.text ol > li {
  list-style: decimal;
}
.text ul ol,
.text ul ul,
.text ol ul,
.text ol ol {
  margin-bottom: 0;
}
.text h1,
.h1,
.intro {
  font-size: 30px;
  margin-bottom: 3rem;
  line-height: 1.25em;
}
.text h2,
.h2 {
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 1.25rem;
}
.text h3,
.h3 {
  font-weight: 600;
}
.text .codeblock {
  display: grid;
}
.text code {
  font-family: var(--font-family-mono);
  font-size: 1em;
  background: var(--color-light);
  padding: 0 .5rem;
  display: inline-block;
  color: var(--color-black);
}
.text pre {
  margin: 3rem 0;
  background: var(--color-black);
  color: var(--color-white);
  padding: 1.5rem;
  overflow-x: scroll;
  overflow-y: hidden;
  line-height: 1.5rem;
}
.text pre code {
  padding: 0;
  background: none;
  color: inherit;
}
.text hr {
  margin: 6rem 0;
}
.text dt {
  font-weight: 600;
}
.text blockquote {
  font-size: 1.25rem;
  line-height: 1.325em;
  border-left: 2px solid var(--color-black);
  padding-left: 1rem;
  margin: 3rem 0;
  max-width: 25rem;
}
.text blockquote footer {
  font-size: .875rem;
  font-style: italic;
}
.text figure {
  margin-bottom: var(--padding);
}
.text figcaption {
  padding-top: .75rem;
  text-align: center;
}
.text figure ul {
  line-height: 0;
  display: grid;
  gap: 1.5rem;
  margin: 0;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
}
.text figure ul li {
  list-style: none;
}

hr {
  border: 0;
  background: currentColor;
  height: 2px;
  width: 1.5rem;
  margin: 3rem auto;
}

.align-center {
  text-align: center;
}

.intro {
  max-width: 40rem;
}
.intro *:not(:last-child) {
  margin-bottom: 1em;
}

.cta {
  background: var(--color-black);
  color: var(--color-white);
  display: inline-flex;
  justify-content: center;
  padding: .75rem 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-black);
}

.box {
  background: var(--color-light);
  padding: 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-light);
}

figure.video {
  display: flex;
  justify-content: center;
}

span.video {
  width: 100%;
  height: 30vh;
}

span.video,
.img {
  position: relative;
  display: block;
  --w: 1;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  background: var(--color-black);
}
.img img,
.video iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

figure video {
  width: 100%;
}

.text iframe:not(.disco-embed) {
  object-fit: cover;
  width: 100%;
  height: calc( 100vh - 2 * var(--padding) );
  border: 0;
}

.text iframe.disco-embed {
  width: 50vw;
}

.img img {
  object-fit: cover;
}

.img[data-contain] img {
  object-fit: cover;
}
.img-caption {
  font-size: 14px;
  font-family: var(--font-family-serif);
}
.img-caption,
.video-caption {
  padding-top: 20px;
  margin-bottom: 20px;
  line-height: 30px;
}

.footer {
  padding: 9rem 0 6rem;
  line-height: 20px;
}

.footer h2 {
  font-weight: 600;
  margin-bottom: .75rem;
}
.footer ul,
.footer p {
  color: var(--color-text-grey);
}
.footer p {
  max-width: 15rem;
}
.footer a:hover {
  color: var(--color-text);
}


.map {
  --w: 2;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  position: relative;
  overflow: hidden;
  background: var(--color-black);
}
.map iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.margin-s {
  margin-bottom: .75rem;
}
.margin-m {
  margin-bottom: 1.5rem;
}
.margin-l {
  margin-bottom: 3rem;
}
.margin-xl {
  margin-bottom: 4.5rem;
}
.margin-xxl {
  margin-bottom: 6rem;
}


@media screen and (min-width: 60rem) {
  body {
    --padding: 20px;
  }

  .grid {
    grid-template-columns: repeat(12, 1fr);
  }
  .grid > .column {
    grid-column: span var(--columns);
  }
}

.pagination {
  display: flex;
  padding-top: 6rem;
}
.pagination > span {
  color: var(--color-text-grey);
}
.pagination > * {
  padding: .5rem;
  width: 3rem;
  text-align: center;
  border: 2px solid currentColor;
  margin-right: 1.5rem;
}
.pagination > a:hover {
  background: var(--color-black);
  color: var(--color-white);
  border-color: var(--color-black);
}

.note-excerpt {
  line-height: 1.5em;
}
.note-excerpt header {
  margin-bottom: 1.5rem;
}
.note-excerpt figure {
  margin-bottom: .5rem;
}
.note-excerpt-title {
  font-weight: 600;
}
.note-excerpt-date {
  color: var(--color-text-grey);
}

/* Home */

.row {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.center {
  justify-content: center;
}

.center {
  justify-content: center;
}

.project {
  width: 100%;
  max-width: 1980px;
  text-align: center;
}

.project p.title {
}

.project .subheadline {
  margin-top: 20px;
  margin-bottom: 10px !important;
}

.text .subheadline {
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
}

.text .subheadline li {
  list-style-type: none;
}

#video-introduction {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: -1;
}

#video-introduction video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.title, .subheadline {
  text-align: center;
  width: 100%;
}

.tag {
  opacity: 0.5;
}

/* Fonts */

.small {
  font-size: 12px;
  font-family: var(--font-family-sans);
  text-transform: uppercase;
  letter-spacing: 0.2px;
  opacity: 0.4;
}

.medium {
  font-size: 16px;
}

.medium-large {
  font-size: 20px;
}

.large {
  font-size: 24px;
}

.x-large {
  font-size: 35px;
}

.serif {
  font-family: var(--font-family-serif);
}

/* Project */

.project-title {
  margin-top: 20px;
}

.margin-bottom {
  margin-bottom: 20px;
}

.separate {
  margin-left: 10px;
  margin-right: 10px;
}

.text p, .text h2 {
  margin-left: 15%;
  margin-right: 15%;
}

.text.post h2 {
  font-weight: normal;
  font-size: 14px;
  opacity: 0.5;
  letter-spacing: 1pxf;
}

.text.post p {
  font-family: var(--font-family-serif);
}

.about.text p, .about.text h2 {
  margin-left: 0;
  margin-right: 0;
}

.text {
  margin-bottom: 4.5rem;
}

.grid.about {
  align-items: flex-start;
}

figure.gallery ul {
  align-items: center;
}

div.cover {
  width: 100%;
  display: flex;
}

div.cover img {
  width: 100%;
}

.back a {
  border-bottom: 0.5px solid;
  padding-bottom: 1px;
  transition: border 0.2s;
}

.back a:hover {
  border-color: transparent;
}

/* Music */

.music .text .large {
  line-height: 38px;
}

.text h1 {
  text-align: center;
  font-family: var(--font-family-serif);
}

.music div.text {
  width: 100%;
  text-align: center;
}

.introduction {
  text-align: left;
}

.introduction a {
  border-bottom: 0.5px solid;
  padding-bottom: 1px;
  transition: border 0.2s;
}

.introduction a:hover {
  border-color: transparent;
}

section.music iframe.disco-embed {
  width: 100%;
}

section.music:nth-of-type(2) iframe.disco-embed {
  width: 50vw;
}

.music.project {
  width: 100%;
}

.music .introduction p {
  margin-left: 0;
  margin-right: 0;
}

.music.project a {
  border-bottom: 0.5px solid;
  padding-bottom: 1px;
  transition: border 0.2s;
}

.music.project a:hover {
  border-color: transparent;
}

/* More Footer CTA */

.more {
  padding-top: 150px;
  padding-bottom: 150px;
}

.more a {
  transition: border 0.2s;
}

.more span.border {
  border-bottom: 0.5px solid;
  transition: border 0.2s;
}

.more span.border:hover {
  border-color: transparent;
}

.more p {
  text-align: center;
}

/* About */

.about a {
  border-bottom: 0.5px solid #000;
  transition: opacity 0.1s;
}

article.about section:last-child p {
  font-size: 24px;
  line-height: 40px;
}

section.about:first-child img, section.music:first-child img {
  height: calc( 100vh - 150px - 20px);
  object-fit: cover !important;
}

figure.gallery ul {
  align-items: center;
}

section.about div.column:first-child {
  --columns:5 !important;
}

section.about div.column:last-child {
  --columns:6 !important;
}

section.music:first-child div.column:first-child {
  --columns:5 !important;
}

#mobile-menu, #close-mobile-menu {
  display: none;
}

#gallery-message {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #FFF;
  opacity: 0.85;
  z-index: 1;
  cursor: pointer;
  transition: opacity 0.4s, visibility 0.4s;
}

#gallery-message div {
  text-align: center;
  display: block;
  width: 930px;
}

#gallery-message p {
  margin-bottom: 10px;
}

#gallery-message.hide {
  opacity: 0;
  cursor: default;
  visibility: hidden;
}

.gallery figure {
  line-height: 0;
}

.gallery .text {
  margin-bottom: 0;
}

.gallery .grid {
  align-items: center;
}

@media (min-width: 100px) and (max-width: 960px) {
:root {
  --padding: 15px;
}

  #mobile-menu, #close-mobile-menu {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    padding-top: var(--padding);
    padding-right: var(--padding);
    cursor: pointer;
  }

  #mobile-menu.hide {
    display: none;
  }

  #close-mobile-menu {
    display: none;
  }

  #close-mobile-menu.show {
    display: flex;
  }

  header.home #mobile-menu {
    display: none;
  }

  header:not(.home) {
    background: #FFF;
  }

  #video-introduction {
    background: #000;
  }

  #video-introduction video {
    opacity: 0.4;
  }

  a.logo {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    padding-top: var(--padding);
    padding-left: var(--padding);
  }

  ul.navigation {
    flex-wrap: wrap;
    margin-top: 50px;
    display: none;
  }

  ul.navigation li {
    width: 100%;
    margin-bottom: 20px;
    font-size: 25px;
  }

  ul.navigation li a {
    width: min-content;
  }

  a.gallery {
    font-size: 25px;
    display: none;
  }

  header.home a.gallery,
  header.home ul.navigation,
  nav.show a.gallery,
  nav.show ul.navigation {
    display: block;
  }

  nav.show {
    height: 100vh;
  }

  .header a {
  }

  .header {
    display: block;
  }

  .header .logo {
    margin-bottom:16px;
  }

  .header nav {
    display: block;
    top: 0;
    margin-left: var(--padding);
  }

  .project {
    height: auto;
    width: 100%;
  }

  .menu a.about {
    position: relative;
  }

  .main {
    padding-top: 150px;
  }

  .text p, .text h2 {
    margin-left: 0;
    margin-right: 0;
  }

  span.separate {
    display: none;
  }

  .text figure ul {
    grid-template-columns: max-content;
  }

  .text .subheadline {
    display: block;
  }

  .text iframe {
    width:  calc( 100vw - var(--padding) * 2 ) !important;
  }

  figure img {
    width: calc( 100vw - var(--padding) * 2 ) !important;
  }
  
  .text iframe.disco-embed {
    width: calc( 100vw - var(--padding) * 2 );
  }

  .music.project {
    width: 100%;
  }

  #gallery-message div {
    width: 100vw;
    padding: var(--padding);
  }

  .gallery .column {
    margin: 0;
  }

  .more a {
    margin-bottom: 10px;
  }

  .more p {
    display: grid;
  }

  .text iframe:not(.disco-embed) {
    height: 31vh;
  }

  /* Fonts size */

  .medium {
    font-size: 18px;
  }
  .medium-large {
    font-size: 20px;
  }
  .large {
    font-size: 22px;
  }
  .x-large {
    font-size: 30px;
  }
}